summaryrefslogtreecommitdiff
path: root/dev-python/rsa
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/rsa')
-rw-r--r--dev-python/rsa/Manifest1
-rw-r--r--dev-python/rsa/metadata.xml13
-rw-r--r--dev-python/rsa/rsa-4.9.ebuild37
3 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
new file mode 100644
index 000000000000..deec8885fcd7
--- /dev/null
+++ b/dev-python/rsa/Manifest
@@ -0,0 +1 @@
+DIST python-rsa-version-4.9.gh.tar.gz 59238 BLAKE2B 077679131fcd29a0f396ad9db45db9a6891be45afe96a328f66191d747f10d36a3248b0929d5c8270ff32a39d08a9c15d80973ba3af83f7368e792cf003f186a SHA512 0b49c1e5ffb6235ccb9e34c81ad717276c04956e21dd54c08b5cae7dd28ecc115235b2793c8bfc2fbb46a260e574d35cab23729567efeee108b79544793e60ad
diff --git a/dev-python/rsa/metadata.xml b/dev-python/rsa/metadata.xml
new file mode 100644
index 000000000000..c79d1232414a
--- /dev/null
+++ b/dev-python/rsa/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <upstream>
+ <remote-id type="cpe">cpe:/a:python-rsa_project:python-rsa</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/rsa/rsa-4.9.ebuild b/dev-python/rsa/rsa-4.9.ebuild
new file mode 100644
index 000000000000..1b0dc0f5bfa6
--- /dev/null
+++ b/dev-python/rsa/rsa-4.9.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=python-rsa-version-${PV}
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="
+ https://stuvel.eu/rsa/
+ https://github.com/sybrenstuvel/python-rsa/
+ https://pypi.org/project/rsa/
+"
+SRC_URI="
+ https://github.com/sybrenstuvel/python-rsa/archive/version-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~sparc x86"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ rm tests/test_mypy.py || die
+ distutils-r1_src_prepare
+}